<template>
  <div class="d-flex flex-row align-items-center">
    <div class="container">
      <div class="row justify-content-center">
        <div class="col-md-8">
          <div class="card-group">
            <card :class="'p-4'">
              <form class="">
                <h1>Login</h1>
                <p class="text-muted">Sign In to your account</p>
                <base-input :addonLeftIcon="'fas fa-user'" :placeholder="'Username'" />
                <base-input :addonLeftIcon="'fas fa-lock'" :type="'password'" :placeholder="'Password'" />
                <div class="row">
                  <div class="text-left col-6">
                    <base-button :title="'Login'" :btnStyle="'primary'" :class="'px-4'" />
                  </div>
                  <div class="text-right col-6">
                    <base-button :title="'Login'" :btnStyle="'primary'" :class="'px-4'" />
                    <button type="button" class="btn px-0 btn-link">
                      Forgot password?
                    </button>
                    <button type="button" class="btn d-lg-none btn-link">
                      Register now!
                    </button>
                  </div>
                </div>
              </form>
            </card>
            <div
              class="card text-center py-5 d-md-down-none bg-primary text-white"
            >
              <div class="card-body">
                <div class="card-body">
                  <h2>Sign up</h2>
                  <p>
                    Lorem ipsum dolor sit amet, consectetur adipisicing elit,
                    sed do eiusmod tempor incididunt ut labore et dolore magna
                    aliqua.
                  </p>
                  <button type="button" class="btn btn-outline-light btn-lg">
                    Register Now!
                  </button>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
</template>

<script>
import axios from 'axios'
import BaseInput from '../../components/Inputs/BaseInput.vue'
import BaseButton from '../../components/Buttons/BaseButton.vue'
export default {
  components: { BaseInput, BaseButton },
  name: 'Login',
  data () {
    return {
      email: '',
      password: '',
      showMessage: false,
      message: ''
    }
  },
  methods: {
    goRegister () {
      this.$router.push({ path: 'register' })
    },
    login () {
      const self = this
      axios
        .post(this.$apiAdress + '/api/login', {
          email: self.email,
          password: self.password
        })
        .then(function (response) {
          self.email = ''
          self.password = ''
          localStorage.setItem('api_token', response.data.access_token)
          localStorage.setItem('roles', response.data.roles)
          self.$router.push({ path: 'dashboard' })
        })
        .catch(function (error) {
          self.message = 'Incorrect E-mail or password'
          self.showMessage = true
          console.log(error)
        })
    }
  }
}
</script>
